name: Verify Latest Dependencies

on:
  push:
  pull_request:

env:
  CARGO_TERM_COLOR: always

jobs:
  latest_deps:
    name: Verify Latest Dependencies
    runs-on: docker

    container:
      image: node
    continue-on-error: true
    env:
      CARGO_RESOLVER_INCOMPATIBLE_RUST_VERSIONS: allow
    steps:
      - uses: actions/checkout@v4
      - uses: https://github.com/dtolnay/rust-toolchain@stable
      - run: cargo update --verbose
      - run: cargo build --verbose
      - run: cargo test --verbose
